#NLS_ENCODING=UTF-8
#NLS_MESSAGEFORMAT_NONE
A\ comma\ separated\ list\ of\ Ids\ of\ the\ defects\ or\ tasks\ for\ which\ the\ state\ should\ be\ updated.\ Use\ ${p\:buildlife/issueIds}\ to\ update\ all\ issues\ in\ the\ current\ build\ life.=[G'\uff21 \uff43\uff4f\uff4d\uff4d\uff41 \uff53\uff45\uff50\uff41\uff52\uff41\uff54\uff45\uff44 \uff4c\uff49\uff53\uff54 \uff4f\uff46 \uff29\uff44\uff53 \uff4f\uff46 \uff54\uff48\uff45 \uff44\uff45\uff46\uff45\uff43\uff54s or tasks for which the state should be updated. Use $[{p\:buildlife/issueIds}] to update all issues in the current build life.\u0e0f\u0e39\u0130\u0131\uff5c]
A\ comma\ separated\ list\ of\ work\ item\ types\ that\ will\ be\ effected.\ Leave\ blank\ for\ all.=[G'\uff21 \uff43\uff4f\uff4d\uff4d\uff41 \uff53\uff45\uff50\uff41\uff52\uff41\uff54\uff45\uff44 \uff4cist of work item types that will be effected. Leave blank for all.\u0e0f\u0e39\u0130\u0131\uff5c]
Action=[G'Action\u0e0f\u0e39\u0130\u0131\uff5c]
Add\ Changelog\ Comments=[G'\uff21\uff44\uff44 \uff23\uff48\uff41\uff4e\uff47elog Comments\u0e0f\u0e39\u0130\u0131\uff5c]
Add\ Comment=[G'\uff21\uff44d Comment\u0e0f\u0e39\u0130\u0131\uff5c]
Add\ Comments\ from\ the\ current\ changelog\ to\ matching\ RTC\ work\ items.=[G'\uff21\uff44\uff44 \uff23\uff4f\uff4d\uff4d\uff45\uff4e\uff54\uff53 \uff46\uff52om the current changelog to matching RTC work items.\u0e0f\u0e39\u0130\u0131\uff5c]
Additional\ Comment=[G'\uff21\uff44\uff44\uff49\uff54\uff49onal Comment\u0e0f\u0e39\u0130\u0131\uff5c]
Any\ additional\ text\ to\ be\ added\ to\ the\ RTC\ work\ item\ comment\ in\ addtion\ to\ the\ commit\ comment.=[G'\uff21\uff4e\uff59 \uff41\uff44\uff44\uff49\uff54\uff49\uff4f\uff4e\uff41\uff4c \uff54\uff45\uff58\uff54 \uff54\uff4f be added to the RTC work item comment in addtion to the commit comment.\u0e0f\u0e39\u0130\u0131\uff5c]
Automation=[G'\uff21utomation\u0e0f\u0e39\u0130\u0131\uff5c]
Change\ Work\ Item\ Status=[G'\uff23\uff48\uff41\uff4e\uff47\uff45 \uff37\uff4frk Item Status\u0e0f\u0e39\u0130\u0131\uff5c]
Create\ a\ report\ of\ RTC\ work\ items\ from\ the\ build\ life's\ changelog\ on\ the\ build\ life.=[G'\uff23\uff52\uff45\uff41\uff54\uff45 \uff41 \uff52\uff45\uff50\uff4f\uff52\uff54 \uff4f\uff46 \uff32TC work items from the build life's changelog on the build life.\u0e0f\u0e39\u0130\u0131\uff5c]
If\ you\ wish\ to\ use\ a\ script\ or\ property\ lookups\ for\ your\ password,\ leave\ the\ Password\ field\ blank\ and\ enter\ it\ here.=[G'\uff29\uff46 \uff59\uff4f\uff55 \uff57\uff49\uff53\uff48 \uff54\uff4f \uff55\uff53\uff45 \uff41 \uff53\uff43\uff52\uff49\uff50\uff54 \uff4f\uff52 \uff50\uff52operty lookups for your password, leave the Password field blank and enter it here.\u0e0f\u0e39\u0130\u0131\uff5c]
Include\ comments\ from\ the\ changelog.=[G'\uff29\uff4e\uff43\uff4c\uff55\uff44\uff45 \uff43\uff4f\uff4dments from the changelog.\u0e0f\u0e39\u0130\u0131\uff5c]
Issue\ Tracking=[G'\uff29\uff53\uff53\uff55e Tracking\u0e0f\u0e39\u0130\u0131\uff5c]
New\ Status=[G'\uff2eew Status\u0e0f\u0e39\u0130\u0131\uff5c]
Password=[G'Password\u0e0f\u0e39\u0130\u0131\uff5c]
Password\ Script=[G'\uff30\uff41\uff53\uff53word Script\u0e0f\u0e39\u0130\u0131\uff5c]
Project\ Name=[G'\uff30\uff52oject Name\u0e0f\u0e39\u0130\u0131\uff5c]
Publish\ Work\ Item\ Report=[G'\uff30\uff55\uff42\uff4c\uff49\uff53\uff48 \uff37ork Item Report\u0e0f\u0e39\u0130\u0131\uff5c]
Quality=[G'Quality\u0e0f\u0e39\u0130\u0131\uff5c]
RTC=[G'RTC\u0e0f\u0e39\u0130\u0131\uff5c]
RTC\ Repository=[G'\uff32\uff34\uff23 \uff32epository\u0e0f\u0e39\u0130\u0131\uff5c]
RTC\ Server\ URL=[G'\uff32\uff34\uff23 \uff33erver URL\u0e0f\u0e39\u0130\u0131\uff5c]
RTC\ Work\ Items=[G'\uff32\uff34\uff23 \uff37ork Items\u0e0f\u0e39\u0130\u0131\uff5c]
Select\ RTC\ Repository\ to\ connect\ to.=[G'\uff33\uff45\uff4c\uff45\uff43\uff54 \uff32\uff34\uff23 \uff32epository to connect to.\u0e0f\u0e39\u0130\u0131\uff5c]
The\ action\ to\ be\ performed\ on\ the\ work\ item(s).=[G'\uff34\uff48\uff45 \uff41\uff43\uff54\uff49\uff4f\uff4e \uff54\uff4f be performed on the work item(s).\u0e0f\u0e39\u0130\u0131\uff5c]
The\ name\ of\ the\ RTC\ project=[G'\uff34\uff48\uff45 \uff4e\uff41\uff4d\uff45 \uff4f\uff46 the RTC project\u0e0f\u0e39\u0130\u0131\uff5c]
The\ new\ state\ for\ the\ work\ item(s).\ (Will\ not\ be\ used\ if\ Action\ is\ given.)=[G'\uff34\uff48\uff45 \uff4e\uff45\uff57 \uff53\uff54\uff41\uff54\uff45 \uff46\uff4fr the work item(s). (Will not be used if Action is given.)\u0e0f\u0e39\u0130\u0131\uff5c]
The\ password\ to\ be\ used\ to\ connect\ to\ the\ RTC\ Server.\ Either\ Password\ or\ Password\ Script\ is\ required.=[G'\uff34\uff48\uff45 \uff50\uff41\uff53\uff53\uff57\uff4f\uff52\uff44 \uff54\uff4f \uff42\uff45 \uff55\uff53\uff45\uff44 \uff54\uff4f connect to the RTC Server. Either Password or Password Script is required.\u0e0f\u0e39\u0130\u0131\uff5c]
The\ RTC\ Work\ Items\ plugin\ provides\ steps\ for\ the\ build\ to\ comment,\ change\ status,\ and\ resolve\ work\ items\ found\ in\ RTC\ and\ publish\ a\ list\ of\ work\ items\ that\ were\ addressed\ in\ the\ build\ to\ the\ Issues\ tab\ for\ the\ BuildLife=[G'\uff34\uff48\uff45 \uff32\uff34\uff23 \uff37\uff4f\uff52\uff4b \uff29\uff54\uff45\uff4d\uff53 \uff50\uff4c\uff55\uff47\uff49\uff4e \uff50\uff52\uff4f\uff56\uff49\uff44\uff45\uff53 \uff53\uff54\uff45\uff50\uff53 \uff46\uff4f\uff52 \uff54\uff48\uff45 \uff42\uff55\uff49\uff4c\uff44 \uff54\uff4f \uff43\uff4f\uff4d\uff4d\uff45\uff4e\uff54, \uff43\uff48ange status, and resolve work items found in RTC and publish a list of work items that were addressed in the build to the Issues tab for the BuildLife\u0e0f\u0e39\u0130\u0131\uff5c]
The\ URL\ of\ the\ RTC\ server\ like\ https\://myserver\:9443/jazz=[G'\uff34\uff48\uff45 \uff35\uff32\uff2c \uff4f\uff46 \uff54\uff48\uff45 \uff32TC server like https\://myserver\:9443/jazz\u0e0f\u0e39\u0130\u0131\uff5c]
The\ user\ name\ to\ be\ used\ to\ connect\ to\ the\ RTC\ server.=[G'\uff34\uff48\uff45 \uff55\uff53\uff45\uff52 \uff4e\uff41\uff4d\uff45 \uff54o be used to connect to the RTC server.\u0e0f\u0e39\u0130\u0131\uff5c]
This\ is\ a\ regular\ expression\ to\ locate\ RTC\ work\ item\ Ids\ within\ changelog\ comments.\ You\ may\ add\ parentheses\ around\ the\ portion\ of\ the\ pattern\ which\ identifies\ the\ actual\ Issue\ Id.\ The\ pattern\ 'DE[0-9]+'\ would\ match\ (returning\ the\ same\ string\ as\ issue\ ids)\ 'DE1'\ and\ 'DE932415',\ but\ not\ match\ 'DEa',\ 'DE',\ or\ 'DE.1'\ The\ pattern\ 'Issue\:\\[(DE[0-9]+)\\]'\ would\ match\ 'Issue\:[DE1]'\ using\ issue\ Id\ DE1.=[G'\uff34\uff48\uff49\uff53 \uff49\uff53 \uff41 \uff52\uff45\uff47\uff55\uff4c\uff41\uff52 \uff45\uff58\uff50\uff52\uff45\uff53\uff53\uff49\uff4f\uff4e \uff54\uff4f \uff4c\uff4f\uff43\uff41\uff54\uff45 \uff32\uff34\uff23 \uff57\uff4f\uff52\uff4b \uff49\uff54\uff45\uff4d \uff29\uff44\uff53 \uff57\uff49\uff54\uff48\uff49\uff4e \uff43\uff48\uff41\uff4e\uff47\uff45\uff4c\uff4f\uff47 \uff43\uff4f\uff4d\uff4d\uff45\uff4e\uff54\uff53. \uff39\uff4f\uff55 \uff4d\uff41\uff59 \uff41\uff44\uff44 \uff50\uff41\uff52\uff45\uff4e\uff54\uff48\uff45\uff53\uff45\uff53 \uff41\uff52\uff4f\uff55\uff4e\uff44 \uff54\uff48\uff45 \uff50\uff4f\uff52\uff54\uff49\uff4f\uff4e \uff4f\uff46 \uff54\uff48\uff45 pattern which identifies the actual Issue Id. The pattern 'DE[0-9]+' would match (returning the same string as issue ids) 'DE1' and 'DE932415', but not match 'DEa', 'DE', or 'DE.1' The pattern 'Issue\:\\[(DE[0-9]+)\\]' would match 'Issue\:[DE1]' using issue Id DE1.\u0e0f\u0e39\u0130\u0131\uff5c]
Update\ the\ status\ of\ RTC\ work\ items.\ *Note*\ If\ updating\ multiple\ work\ items\ it\ is\ possible\ that\ some\ may\ be\ updated\ within\ a\ 'Failed'\ step\ if\ they\ occurred\ before\ the\ execption\ was\ thrown.=[G'\uff35\uff50\uff44\uff41\uff54\uff45 \uff54\uff48\uff45 \uff53\uff54\uff41\uff54\uff55\uff53 \uff4f\uff46 \uff32\uff34\uff23 \uff57\uff4f\uff52\uff4b \uff49\uff54\uff45\uff4d\uff53. *\uff2e\uff4f\uff54\uff45* \uff29\uff46 \uff55\uff50\uff44\uff41\uff54\uff49\uff4e\uff47 \uff4d\uff55\uff4c\uff54iple work items it is possible that some may be updated within a 'Failed' step if they occurred before the execption was thrown.\u0e0f\u0e39\u0130\u0131\uff5c]
User\ Name=[G'User Name\u0e0f\u0e39\u0130\u0131\uff5c]
Work\ Item\ Id\ Pattern=[G'\uff37\uff4f\uff52\uff4b \uff29\uff54\uff45m Id Pattern\u0e0f\u0e39\u0130\u0131\uff5c]
Work\ Item\ Ids=[G'\uff37\uff4f\uff52k Item Ids\u0e0f\u0e39\u0130\u0131\uff5c]
Work\ Item\ Types=[G'\uff37\uff4f\uff52\uff4b Item Types\u0e0f\u0e39\u0130\u0131\uff5c]
